[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.ButtonClick

Actions performed when the button for the control is clicked.

## Declaration

Source position: dbextctrls.pp line 50

`protected procedure TDBDateEdit.ButtonClick; override;`

## Description

ButtonClick is an overridden procedure which performs actions when the button for the control is clicked. ButtonClick ensures that the control is Focused, and calls SetFocus when necessary. The CanModify property in DataLink is checked to see if the Edit method in DataLink is needed. ButtonClick calls the inherited method.